Package org.eclipse.ecf.core.util

## Class SerDTO

- java.lang.Object
- - org.eclipse.ecf.core.util.SerDTO

All Implemented Interfaces:
  `Serializable`

    public class SerDTO
    extends Object
    implements Serializable

Since:
  3.10
See Also:
  Serialized Form

### Constructor Summary

Constructors
`SerDTO​(Object obj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassname()`
`Map<String,​Object>` `getFields()`
`Object` `readObject​(Class<?> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerDTO

    public SerDTO​(Object obj)

### Method Detail

#### getClassname

    public String getClassname()

#### getFields

    public Map<String,​Object> getFields()

#### readObject

    public Object readObject​(Class<?> clazz)
                      throws IOException

Throws:
  `IOException`